curl --request GET \
--url https://api.useanima.sh/v1/vault/credentials/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.useanima.sh/v1/vault/credentials/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.useanima.sh/v1/vault/credentials/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"type": "login",
"name": "<string>",
"favorite": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"login": {
"username": "<string>",
"password": "<string>",
"uris": [
{
"uri": "<string>",
"match": "domain"
}
],
"totp": "<string>"
},
"card": {
"cardholderName": "<string>",
"brand": "<string>",
"number": "<string>",
"expMonth": "<string>",
"expYear": "<string>",
"code": "<string>"
},
"identity": {
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"address1": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>",
"company": "<string>",
"ssn": "<string>"
},
"oauthToken": {
"provider": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenEndpoint": "<string>",
"clientId": "<string>",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"clientSecret": "<string>",
"autoRefresh": true,
"allowedHosts": [
"<string>"
]
},
"apiKey": {
"provider": "<string>",
"key": "<string>",
"prefix": "<string>",
"rateLimit": {
"requests": 1,
"window": "<string>"
},
"expiresAt": "2023-11-07T05:31:56Z",
"scopes": [
"<string>"
],
"allowedHosts": [
"<string>"
],
"authHeader": "<string>",
"authScheme": "<string>"
},
"certificate": {
"format": "pem",
"certificate": "<string>",
"privateKey": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"chain": [
"<string>"
]
},
"fields": [
{
"name": "<string>",
"value": "<string>",
"type": "text"
}
],
"folderId": "<string>",
"organizationId": "<string>",
"collectionIds": [
"<string>"
],
"revealPolicy": "standard"
}Get vaultcredentials 1
Authorizations
JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer
Path Parameters
Credential identifier
Query Parameters
Agent identifier. Optional when using an agent API key (resolved automatically); required when using a master key.
^[0-9a-z]+$Return unmasked plaintext fields. Requires master key auth. Audit-logged as 'access_reveal'.
Response
OK
Full credential record returned from the vault
Unique credential identifier
Credential type
login, secure_note, card, identity, oauth_token, api_key, certificate User-defined credential name
Whether the credential is marked as a favorite
Timestamp when the credential was created
Timestamp when the credential was last updated
Free-form notes attached to the credential
Login credential data, present when type is login
Show child attributes
Show child attributes
Card credential data, present when type is card
Show child attributes
Show child attributes
Identity credential data, present when type is identity
Show child attributes
Show child attributes
OAuth token data, present when type is oauth_token
Show child attributes
Show child attributes
API key data, present when type is api_key
Show child attributes
Show child attributes
Certificate data, present when type is certificate
Show child attributes
Show child attributes
Custom fields attached to the credential
Show child attributes
Show child attributes
Folder the credential belongs to
Organization the credential is scoped to
Collections the credential is shared with
Reveal policy governing whether plaintext may be returned (default 'standard')
standard, brokered 